/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package communication;

import java.net.DatagramSocket;

/**
 *class StaticSocket
 * Contains sockets useds for UDP communication.
 */
public class StaticSocket {
    private static DatagramSocket sendSocket = null;
    private static DatagramSocket receiveSocket = null;
    
    /**
     * @return the socket
     */
    public static DatagramSocket getSendSocket() {
        return sendSocket;
    }

    /**
     * @return the receiveSocket
     */
    public static DatagramSocket getReceiveSocket() {
        return receiveSocket;
    }

    /**
     * @param aReceiveSocket the receiveSocket to set
     */
    public static void setReceiveSocket(DatagramSocket aReceiveSocket) {
        receiveSocket = aReceiveSocket;
    }

    /**
     * @param aSendSocket the sendSocket to set
     */
    public static void setSendSocket(DatagramSocket aSendSocket) {
        sendSocket = aSendSocket;
    }

    

    
}
